cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_component_object": {
"parents": [
{
"type": "account",
"id": "ACC0001"
}
]
}
}'from exsited import build_client
client = build_client()
response = client.custom_components.create_component_object(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
{"custom_component_object": {"parents": [{"type": "account", "id": "ACC0001"}]}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.createComponentObject('cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d', {
custom_component_object: {parents: [{type: 'account', id: 'ACC0001'}]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->createComponentObject(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
['custom_component_object' => ['parents' => [['type' => 'account', 'id' => 'ACC0001']]]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjectRecord;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjectRecord> response = client.customComponents().createComponentObject(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
Map.of(
"custom_component_object", Map.of(
"parents", List.of(Map.of("type", "account", "id", "ACC0001")))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.CreateComponentObjectAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
new Dictionary<string, object?>
{
["custom_component_object"] = new Dictionary<string, object?>
{
["parents"] = new List<object?>
{
new Dictionary<string, object?>
{
["type"] = "account",
["id"] = "ACC0001",
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.createComponentObject(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
{
'custom_component_object': {
'parents': [
{'type': 'account', 'id': 'ACC0001'},
],
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().CreateComponentObject(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", map[string]any{
"custom_component_object": map[string]any{
"parents": []any{
map[string]any{"type": "account", "id": "ACC0001"},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_component_object": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"attributes": [
{}
],
"attribute_groups": [
{}
],
"restrictions": [
{}
],
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>",
"workflow_stage": "<unknown>",
"workflow_data": [
{}
],
"custom_objects": [
{}
],
"accounts": [
{}
],
"items": [
{}
],
"orders": [
{}
],
"quotes": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>",
"activity_logs": [
{
"activity": "<string>"
}
]
}
}Custom components
Create a component object
Creates an object in a component and returns it, under custom_component_object.
POST
/
components
/
{component_uuid}
/
objects
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_component_object": {
"parents": [
{
"type": "account",
"id": "ACC0001"
}
]
}
}'from exsited import build_client
client = build_client()
response = client.custom_components.create_component_object(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
{"custom_component_object": {"parents": [{"type": "account", "id": "ACC0001"}]}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.createComponentObject('cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d', {
custom_component_object: {parents: [{type: 'account', id: 'ACC0001'}]},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->createComponentObject(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
['custom_component_object' => ['parents' => [['type' => 'account', 'id' => 'ACC0001']]]],
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObjectRecord;
import java.util.List;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObjectRecord> response = client.customComponents().createComponentObject(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
Map.of(
"custom_component_object", Map.of(
"parents", List.of(Map.of("type", "account", "id", "ACC0001")))));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.CreateComponentObjectAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
new Dictionary<string, object?>
{
["custom_component_object"] = new Dictionary<string, object?>
{
["parents"] = new List<object?>
{
new Dictionary<string, object?>
{
["type"] = "account",
["id"] = "ACC0001",
},
},
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.createComponentObject(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
{
'custom_component_object': {
'parents': [
{'type': 'account', 'id': 'ACC0001'},
],
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().CreateComponentObject(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", map[string]any{
"custom_component_object": map[string]any{
"parents": []any{
map[string]any{"type": "account", "id": "ACC0001"},
},
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_component_object": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"attributes": [
{}
],
"attribute_groups": [
{}
],
"restrictions": [
{}
],
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>",
"workflow_stage": "<unknown>",
"workflow_data": [
{}
],
"custom_objects": [
{}
],
"accounts": [
{}
],
"items": [
{}
],
"orders": [
{}
],
"quotes": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>",
"activity_logs": [
{
"activity": "<string>"
}
]
}
}Creates a new object in the component with this
cmp_ id. Send its fields under custom_component_object; every key is optional, and parents names the record that owns it, such as an account. The new object comes back with its id and activity_logs.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The component definition's id, which starts with cmp_.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new component object, under custom_component_object.
Show child attributes
Show child attributes